/****************************************************************************
** Form implementation generated from reading ui file 'invokemethod.ui'
**
** Created: Mon Apr 4 19:08:34 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.2   edited Nov 24 13:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "invokemethod.h"

#include <qvariant.h>
#include <qcstring.h>
#include <qmetaobject.h>
#include <qaxbase.h>
#include <private/qucom_p.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qtoolbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "invokemethod.ui.h"
/*
 *  Constructs a InvokeMethod as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
InvokeMethod::InvokeMethod( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "InvokeMethod" );
    InvokeMethodLayout = new QGridLayout( this, 1, 1, 11, 6, "InvokeMethodLayout"); 

    boxParameters = new QGroupBox( this, "boxParameters" );
    boxParameters->setColumnLayout(0, Qt::Vertical );
    boxParameters->layout()->setSpacing( 6 );
    boxParameters->layout()->setMargin( 11 );
    boxParametersLayout = new QGridLayout( boxParameters->layout() );
    boxParametersLayout->setAlignment( Qt::AlignTop );

    listParameters = new QListView( boxParameters, "listParameters" );
    listParameters->addColumn( tr( "Parameter" ) );
    listParameters->header()->setClickEnabled( FALSE, listParameters->header()->count() - 1 );
    listParameters->addColumn( tr( "Type" ) );
    listParameters->header()->setClickEnabled( FALSE, listParameters->header()->count() - 1 );
    listParameters->addColumn( tr( "Value" ) );
    listParameters->header()->setClickEnabled( FALSE, listParameters->header()->count() - 1 );
    listParameters->setResizeMode( QListView::AllColumns );

    boxParametersLayout->addMultiCellWidget( listParameters, 0, 0, 0, 2 );

    buttonSet = new QToolButton( boxParameters, "buttonSet" );

    boxParametersLayout->addWidget( buttonSet, 1, 2 );

    editValue = new QLineEdit( boxParameters, "editValue" );

    boxParametersLayout->addWidget( editValue, 1, 1 );

    TextLabel3 = new QLabel( boxParameters, "TextLabel3" );

    boxParametersLayout->addWidget( TextLabel3, 1, 0 );

    InvokeMethodLayout->addMultiCellWidget( boxParameters, 1, 1, 0, 1 );

    Layout6 = new QGridLayout( 0, 1, 1, 0, 6, "Layout6"); 

    editReturn = new QLineEdit( this, "editReturn" );
    editReturn->setReadOnly( TRUE );

    Layout6->addWidget( editReturn, 1, 1 );

    comboMethods = new QComboBox( FALSE, this, "comboMethods" );
    comboMethods->setEditable( TRUE );
    comboMethods->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, comboMethods->sizePolicy().hasHeightForWidth() ) );
    comboMethods->setAutoCompletion( TRUE );
    comboMethods->setDuplicatesEnabled( FALSE );

    Layout6->addWidget( comboMethods, 0, 1 );

    labelMethods = new QLabel( this, "labelMethods" );

    Layout6->addWidget( labelMethods, 0, 0 );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    Layout6->addItem( Spacer1, 0, 2 );

    TextLabel1 = new QLabel( this, "TextLabel1" );

    Layout6->addWidget( TextLabel1, 1, 0 );

    buttonInvoke = new QPushButton( this, "buttonInvoke" );
    buttonInvoke->setDefault( TRUE );

    Layout6->addWidget( buttonInvoke, 0, 3 );
    Spacer5 = new QSpacerItem( 111, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout6->addMultiCell( Spacer5, 1, 1, 2, 3 );

    InvokeMethodLayout->addMultiCellLayout( Layout6, 0, 0, 0, 1 );
    Spacer4 = new QSpacerItem( 361, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    InvokeMethodLayout->addItem( Spacer4, 2, 0 );

    PushButton2 = new QPushButton( this, "PushButton2" );
    PushButton2->setAutoDefault( FALSE );

    InvokeMethodLayout->addWidget( PushButton2, 2, 1 );
    languageChange();
    resize( QSize(503, 416).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PushButton2, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( buttonSet, SIGNAL( clicked() ), this, SLOT( setValue() ) );
    connect( buttonInvoke, SIGNAL( clicked() ), this, SLOT( invoke() ) );
    connect( comboMethods, SIGNAL( activated(const QString&) ), this, SLOT( methodSelected(const QString&) ) );
    connect( listParameters, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( parameterSelected(QListViewItem*) ) );
    connect( editValue, SIGNAL( returnPressed() ), buttonSet, SLOT( animateClick() ) );

    // buddies
    TextLabel3->setBuddy( editValue );
    labelMethods->setBuddy( comboMethods );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
InvokeMethod::~InvokeMethod()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void InvokeMethod::languageChange()
{
    setCaption( tr( "Invoke Methods" ) );
    boxParameters->setTitle( tr( "Parameter &List" ) );
    listParameters->header()->setLabel( 0, tr( "Parameter" ) );
    listParameters->header()->setLabel( 1, tr( "Type" ) );
    listParameters->header()->setLabel( 2, tr( "Value" ) );
    buttonSet->setText( tr( "&Set" ) );
    TextLabel3->setText( tr( "Parameter &Value:" ) );
    labelMethods->setText( tr( "&Method Name:" ) );
    TextLabel1->setText( tr( "Returned Value:" ) );
    buttonInvoke->setText( tr( "In&voke" ) );
    PushButton2->setText( tr( "Close" ) );
}

